Package ghidra.util.table.field

# Class IsFunctionCustomStorageTableColumn

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<ROW_TYPE,COLUMN_TYPE,Program>
ghidra.util.table.field.AbstractProgramBasedDynamicTableColumn<ROW_TYPE,COLUMN_TYPE>
ghidra.util.table.field.ProgramBasedDynamicTableColumnExtensionPoint<Function,Boolean>
ghidra.util.table.field.IsFunctionCustomStorageTableColumn

All Implemented Interfaces:
  `DynamicTableColumn<Function,Boolean,Program>`, `ExtensionPoint`

public class IsFunctionCustomStorageTableColumn extends ProgramBasedDynamicTableColumnExtensionPoint<Function,Boolean>

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IsFunctionCustomStorageTableColumn()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColumnName()`
  Determines the unique column heading that may be used to identify a column instance.
  `Boolean`
  `getValue(Function rowObject, Settings settings, Program data, ServiceProvider serviceProvider)`
  Creates an object that is appropriate for this field (table column) and for the object that is associated with this row of the table.

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getColumnClass, getColumnDescription, getColumnDisplayName, getColumnPreferredWidth, getColumnRenderer, getComparator, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IsFunctionCustomStorageTableColumn

    public IsFunctionCustomStorageTableColumn()

- ## Method Details

  - ### getColumnName

    public String getColumnName()
    Description copied from interface: `DynamicTableColumn`
    Determines the unique column heading that may be used to identify a column instance. This name must be non-changing and is used to save/restore state information.
    Specified by:
      `getColumnName` in interface `DynamicTableColumn<Function,Boolean,Program>`
    Specified by:
      `getColumnName` in class `AbstractDynamicTableColumn<Function,Boolean,Program>`
    Returns:
      the field instance name.

  - ### getValue

    public Boolean getValue(Function rowObject, Settings settings, Program data, ServiceProvider serviceProvider) throws IllegalArgumentException
    Description copied from interface: `DynamicTableColumn`
    Creates an object that is appropriate for this field (table column) and for the object that is associated with this row of the table.
    Specified by:
      `getValue` in interface `DynamicTableColumn<Function,Boolean,Program>`
    Specified by:
      `getValue` in class `AbstractDynamicTableColumn<Function,Boolean,Program>`
    Parameters:
      `rowObject` - the object associated with the row in the table.
      `settings` - field settings
      `data` - the expected data object, as defined by the DATA_SOURCE type
      `serviceProvider` - the `ServiceProvider` associated with the table.
    Returns:
      the object for the model to display in the table cell.
    Throws:
      `IllegalArgumentException` - if the rowObject is not one supported by this class.